crc32sum(1)

NAME
crc32sum - compute and check CRC32 message checksums

SYNOPSIS
crc32sum [-r] [-p] FILE...
crc32sum -c [-q | -s] [-p] FILE...

DESCRIPTION
crc32sum is a simple utility that calculates the CRC-32 checksum (using the 0xedb88320 polynomial) for each of the given files or for the data read from the standard input. It aims to work more or less in the same way as the md5sum or sha1sum utilities do.

OPTIONS
-c FILE, --check FILE
    Read the CRC-32 sums from the FILE and check them.
-r, --recursive
    Treat the FILE as a directory and generate the CRC-32 sums for all files in it.
-L, --follow
    Follow symbolic links.
-p, --progress
    Show a progressbar similar to the one shown by apt(1).
-h, --help
    Show usage information and exit.
-v, --version
    Show version number and exit.
The following options are useful only when verifying checksums: -q, --quiet
    Do not print OK for each successfully verified file.
-s, --status
    Do not output anything, the status code shows success.

SECURITY WARNING
Though the utility does use a similar interface to many hash-calculation utilities (e.g., md5sum or sha1sum), it should be kept in mind that CRC-32 is not a cryptographic hash. The program is not intended to protect against the malicious modification of files but to provide a fast error detection in data transmission or storage.

REPORTING BUGS
If you encounter a bug, you should make sure that you are using the latest version of the software. If you are and the bug is still present, you can report it on the GitLab issues tracker: https://github.com/vlastavesely/crc32sum/issues.

LICENSE AND WARRANTY
Copyright © 2018-2021 Vlasta Vesely <vlastavesely@protonmail.ch> This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.